# service provider

A service provider is used by the Identity service’s OS-FEDERATION extension. It is used by to register another OpenStack Identity service. Applicable to Identity v3.

## service provider create

Create new service provider

    openstack service provider create
        --auth-url <auth-url>
        [--description <description>]
        --service-provider-url <sp-url>
        [--enable | --disable]
        <name>

--auth-url <auth-url>

  Authentication URL of remote federated service provider (required)

--description <description>

  New service provider description

--service-provider-url <sp-url>

  A service URL where SAML assertions are being sent (required)

--enable

  Enable the service provider (default)

--disable

  Disable the service provider

name

  New service provider name (must be unique)

## service provider delete

Delete service provider(s)

    openstack service provider delete
        <service-provider>
        [<service-provider> ...]

service-provider

  Service provider(s) to delete

## service provider list

List service providers

    openstack service provider list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

## service provider set

Set service provider properties

    openstack service provider set
        [--auth-url <auth-url>]
        [--description <description>]
        [--service-provider-url <sp-url>]
        [--enable | --disable]
        <service-provider>

--auth-url <auth-url>

  New Authentication URL of remote federated service provider

--description <description>

  New service provider description

--service-provider-url <sp-url>

  New service provider URL, where SAML assertions are sent

--enable

  Enable the service provider

--disable

  Disable the service provider

service-provider

  Service provider to modify

## service provider show

Display service provider details

    openstack service provider show <service-provider>

service-provider

  Service provider to display

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.